'use strict';

var React = require('react');
var Typography = require('./Typography-cjs.js');

var styles = {"descriptionList":"BkruJ2-bRWg-","termGroup":"tpCvfS7kyDQ-","spinning":"pkFPHChT5OI-"};

function DescriptionList({ data }) {
    return (React.createElement("dl", { className: styles.descriptionList }, data.map(([term, description], i) => (React.createElement("div", { key: `${term}-${i}`, className: styles.termGroup },
        React.createElement(Typography.Typography, { element: "dt", textColor: "heading", size: "base" }, term),
        React.createElement(Typography.Typography, { element: "dd", textColor: "text", size: "base" }, description))))));
}

exports.DescriptionList = DescriptionList;
